# Uses of Class
org.kapott.hbci.sepa.jaxb.camt_052_001_01.Purpose1Choice

Packages that use Purpose1Choice
Package
Description
org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Uses of Purpose1Choice in org.kapott.hbci.sepa.jaxb.camt_052_001_01

Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_01 declared as Purpose1Choice
Modifier and Type
Field
Description
`protected Purpose1Choice`
EntryTransaction1.`purp`
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_01 that return Purpose1Choice
Modifier and Type
Method
Description
`Purpose1Choice`
ObjectFactory.`createPurpose1Choice()`
Create an instance of `Purpose1Choice`
`Purpose1Choice`
EntryTransaction1.`getPurp()`
Gets the value of the purp property.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_01 with parameters of type Purpose1Choice
Modifier and Type
Method
Description
`void`
EntryTransaction1.`setPurp(Purpose1Choice value)`
Sets the value of the purp property.